org.apache.pdfbox.pdmodel.fixup.processor

## Class AbstractProcessor

- java.lang.Object
- - org.apache.pdfbox.pdmodel.fixup.processor.AbstractProcessor

All Implemented Interfaces:
  PDDocumentProcessor

Direct Known Subclasses:
  AcroFormDefaultsProcessor, AcroFormGenerateAppearancesProcessor, AcroFormOrphanWidgetsProcessor

    public abstract class AbstractProcessor
    extends Object
    implements PDDocumentProcessor

### Field Summary

Fields
`protected PDDocument` `document`

### Constructor Summary

Constructors
`protected` `AbstractProcessor(PDDocument document)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.pdfbox.pdmodel.fixup.processor.PDDocumentProcessor

`process`

### Field Detail

#### document

    protected PDDocument document

### Constructor Detail

#### AbstractProcessor

    protected AbstractProcessor(PDDocument document)